Bug 39984 - teacher/schooladmin can't create workgroups anymore
teacher/schooladmin can't create workgroups anymore
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: LDAP
UCS@school 4.0 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.0 R2 Errata
Assigned To: Daniel Tröder
Florian Best
http://jenkins.knut.univention.de:808...
:
Depends on: 39967
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 00:51 CET by Sönke Schwardt-Krummrich
Modified: 2015-12-21 16:26 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2015-11-17 00:51:32 CET
This regression has also to be fixed für UCS@school 4.0 R2.

+++ This bug was initially created as a clone of Bug #39967 +++

The LDAP ACL's for teacher doesn't allow to create a workgroup anymore.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2015-11-26 10:41:17 CET
This has already been fixed for UCS@school 4.1. 
A customer with UCS@school 4.0R2 already asked for a fix.
Comment 2 Christina Scheinig univentionstaff 2015-11-26 12:50:40 CET
Also requested at 2015110621000106
Comment 3 Daniel Tröder univentionstaff 2015-11-26 16:27:27 CET
r65954 merges r65570 to 4.0.
Comment 4 Florian Best univentionstaff 2015-12-01 11:33:36 CET
Reported via traceback feedback.
Comment 5 Florian Best univentionstaff 2015-12-14 17:33:27 CET
The package hasn't been build for UCS@school 4.0R2. I'll do that now.
Comment 6 Florian Best univentionstaff 2015-12-14 17:44:40 CET
(In reply to Florian Best from comment #5)
> The package hasn't been build for UCS@school 4.0R2. I'll do that now.
Well, it is. But it doesn't contain any ACL's anymore:

# dpkg -L ucs-school-ldap-acls-master 
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/ucs-school-ldap-acls-master
/usr/share/doc/ucs-school-ldap-acls-master/changelog.Debian.gz
/usr/share/doc/ucs-school-ldap-acls-master/copyright
/usr/lib
/usr/lib/univention-install
/usr/lib/univention-install/70ucsschool-ldap-acls-master.inst


→ Bug #40124
Comment 7 Daniel Tröder univentionstaff 2015-12-15 14:00:23 CET
Commit 66350 fixes a packaging error.
Comment 8 Florian Best univentionstaff 2015-12-15 14:59:01 CET
Yes, I could create/modify/delete a workgroup as teacher and as schooladmin.
Comment 9 Sönke Schwardt-Krummrich univentionstaff 2015-12-21 16:26:09 CET
UCS@school 4.0 R2 v4 has been released:
http://docs.univention.de/release-notes-ucsschool-4.0R2v4-de.html

If this error occurs again, please use "Clone This Bug".